jest.disableAutomock();

import React from 'react';
import ReactDOM from 'react-dom';
import TestUtils from 'react-addons-test-utils';
import expect from 'expect';

import data from '../data/user-data.json';
import YAxis from '../../src/axis/YAxis';
import common from '../../src/utils/CoreCommonProps';

describe('Axes, set y accessor', () => {

	//Common vars
	const y = function(d) { return d.index; }
	const width = common.width;
	const margins = common.margins;

	it('Create yaxis, default orient is left, and with default height and margins', () => {

		var newGroup = TestUtils.renderIntoDocument(
			<YAxis y={y} />
		);

		var dom = ReactDOM.findDOMNode(newGroup)
		expect(dom.getAttribute('transform')).toEqual('translate(0, 0)')
	})

	it('Create yaxis, orient in left', () => {

		var newGroup = TestUtils.renderIntoDocument(
			<YAxis y={y} yOrient= {"left"} />
		);

		var dom = ReactDOM.findDOMNode(newGroup)
		expect(dom.getAttribute('transform')).toEqual('translate(0, 0)')
	})

	it('Create yaxis, orient in right', () => {

		var newGroup = TestUtils.renderIntoDocument(
			<YAxis y={y} yOrient={'right'} />
		);

		var dom = ReactDOM.findDOMNode(newGroup)
		expect(dom.getAttribute('transform')).toEqual(`translate(${width - margins.right - margins.left}, 0)`)
	})
});
