jest.disableAutomock();

import React from 'react';
import ReactDOM from 'react-dom';
import TestUtils from 'react-addons-test-utils';
import expect from 'expect';

import data from '../data/user-data.json';
import Grid from '../../src/grid/XGrid';
import common from '../../src/utils/CoreCommonProps';

describe('Grid, set x accessor', () => {

	//Common Vars
	const height = common.height;
	const margins = common.margins;
	const x = function(d) { return d.index; }

	it('Render default XGrid', () => {

		const newGroup = TestUtils.renderIntoDocument(
			<Grid />
		);

		const dom = ReactDOM.findDOMNode(newGroup);
		expect(dom.getAttribute('transform')).toEqual(`translate(0, ${height - margins.top - margins.bottom})`)
	})
})
